#!/usr/bin/env raku

use HTTP::UserAgent;

sub fetch {
    my $ua = HTTP::UserAgent.new;
    my $res = $ua.get: 'http://raku.org', :bin;
    if $res.is-success {
        print $res.status-line;
    }
    else {
        die $res.status-line;
    }
}

use Telemetry;

say '        ' ~ T<max-rss>.fmt('%.2f') ÷ 1024
    ~ 'MiB maxrss – before doing anything!!';

loop {
    fetch();
    say ': ' ~ T<max-rss>.fmt('%.2f') ÷ 1024 ~ 'MiB maxrss';
}
