#!/usr/bin/env raku

use HTTP::Tiny;

sub fetch {
    my $ua = HTTP::Tiny.new;
    my $res = $ua.get: 'http://raku.org', :throw-exceptions;
    print $res<status reason>.join(' ');
}

use Telemetry;

say '        ' ~ T<max-rss>.fmt('%.2f') ÷ 1024
    ~ 'MiB maxrss – before doing anything!!';

loop {
    fetch();
    say ': ' ~ T<max-rss>.fmt('%.2f') ÷ 1024 ~ 'MiB maxrss';
}
